Webhooks API

Subscribe an HTTPS endpoint to events, inspect deliveries, resend and rotate the signing secret.

OperationMethod and path
List webhooksGET /api/v1/webhook
Create a webhookPOST /api/v1/webhook
Get a webhookGET /api/v1/webhook/{id}
Update a webhookPATCH /api/v1/webhook/{id}
Delete a webhookDELETE /api/v1/webhook/{id}
Rotate the signing secretPOST /api/v1/webhook/{id}/rotate-secret
Send a test eventPOST /api/v1/webhook/{id}/test
List deliveriesGET /api/v1/webhook/{id}/deliveries
Resend a deliveryPOST /api/v1/webhook/{id}/deliveries/{deliveryId}/resend
GET /api/v1/webhook

List webhooks

webhook.list · requires x-api-key

Parameters

NameInTypeNotes
offset query integer
limit query integer

Example

curl -X GET "https://api.siaran.my/api/v1/webhook" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

2 top-level fields
  • items object[] required
    7 fields
    • id string required
    • url string required
    • events string[] required
      One of: post.published comment.published team.created team.updated team.deleted social-account.created social-account.updated social-account.deleted credit.low-balance credit.exhausted comment.received conversation.created conversation.updated conversation.message.created conversation.message.updated conversation.read.updated
    • active boolean required
    • secret string nullable
    • createdAt string date-time
    • updatedAt string date-time
  • total integer required
POST /api/v1/webhook

Create a webhook

webhook.create · requires x-api-key

Request body application/json

  • url string required uri
  • events string[] required
    One of: post.published comment.published team.created team.updated team.deleted social-account.created social-account.updated social-account.deleted credit.low-balance credit.exhausted comment.received conversation.created conversation.updated conversation.message.created conversation.message.updated conversation.read.updated
  • active boolean

Example

curl -X POST "https://api.siaran.my/api/v1/webhook" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "url": "https://example.com/file.jpg",
    "events": [
      "post.published"
    ]
  }'

Response 201

7 top-level fields
  • id string required
  • url string required
  • events string[] required
    One of: post.published comment.published team.created team.updated team.deleted social-account.created social-account.updated social-account.deleted credit.low-balance credit.exhausted comment.received conversation.created conversation.updated conversation.message.created conversation.message.updated conversation.read.updated
  • active boolean required
  • secret string nullable
  • createdAt string date-time
  • updatedAt string date-time
GET /api/v1/webhook/{id}

Get a webhook

webhook.get · requires x-api-key

Parameters

NameInTypeNotes
id required path string

Example

curl -X GET "https://api.siaran.my/api/v1/webhook/ID" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

7 top-level fields
  • id string required
  • url string required
  • events string[] required
    One of: post.published comment.published team.created team.updated team.deleted social-account.created social-account.updated social-account.deleted credit.low-balance credit.exhausted comment.received conversation.created conversation.updated conversation.message.created conversation.message.updated conversation.read.updated
  • active boolean required
  • secret string nullable
  • createdAt string date-time
  • updatedAt string date-time
PATCH /api/v1/webhook/{id}

Update a webhook

webhook.update · requires x-api-key

Parameters

NameInTypeNotes
id required path string

Request body application/json

  • url string uri
  • events string[]
    One of: post.published comment.published team.created team.updated team.deleted social-account.created social-account.updated social-account.deleted credit.low-balance credit.exhausted comment.received conversation.created conversation.updated conversation.message.created conversation.message.updated conversation.read.updated
  • active boolean

Example

curl -X PATCH "https://api.siaran.my/api/v1/webhook/ID" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "url": "https://example.com/file.jpg",
    "events": [
      "post.published"
    ],
    "active": false
  }'

Response 200

7 top-level fields
  • id string required
  • url string required
  • events string[] required
    One of: post.published comment.published team.created team.updated team.deleted social-account.created social-account.updated social-account.deleted credit.low-balance credit.exhausted comment.received conversation.created conversation.updated conversation.message.created conversation.message.updated conversation.read.updated
  • active boolean required
  • secret string nullable
  • createdAt string date-time
  • updatedAt string date-time
DELETE /api/v1/webhook/{id}

Delete a webhook

webhook.delete · requires x-api-key

Parameters

NameInTypeNotes
id required path string

Example

curl -X DELETE "https://api.siaran.my/api/v1/webhook/ID" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

1 top-level fields
  • success boolean required
POST /api/v1/webhook/{id}/rotate-secret

Rotate the signing secret

webhook.rotateSecret · requires x-api-key

Parameters

NameInTypeNotes
id required path string

Example

curl -X POST "https://api.siaran.my/api/v1/webhook/ID/rotate-secret" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

7 top-level fields
  • id string required
  • url string required
  • events string[] required
    One of: post.published comment.published team.created team.updated team.deleted social-account.created social-account.updated social-account.deleted credit.low-balance credit.exhausted comment.received conversation.created conversation.updated conversation.message.created conversation.message.updated conversation.read.updated
  • active boolean required
  • secret string nullable
  • createdAt string date-time
  • updatedAt string date-time
POST /api/v1/webhook/{id}/test

Send a test event

webhook.test · requires x-api-key

Parameters

NameInTypeNotes
id required path string

Example

curl -X POST "https://api.siaran.my/api/v1/webhook/ID/test" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

11 top-level fields
  • id string required
  • event string required
  • eventId string
  • attempt integer
  • status string required
    One of: PENDING SUCCESS FAILED
  • responseCode integer nullable
  • responseBody string nullable
  • durationMs integer nullable
  • nextAttemptAt string nullable date-time
  • createdAt string date-time
  • payload map<string, any>
GET /api/v1/webhook/{id}/deliveries

List deliveries

webhook.deliveries · requires x-api-key

Parameters

NameInTypeNotes
id required path string
offset query integer
limit query integer
status query string

Example

curl -X GET "https://api.siaran.my/api/v1/webhook/ID/deliveries" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

2 top-level fields
  • items object[] required
    11 fields
    • id string required
    • event string required
    • eventId string
    • attempt integer
    • status string required
      One of: PENDING SUCCESS FAILED
    • responseCode integer nullable
    • responseBody string nullable
    • durationMs integer nullable
    • nextAttemptAt string nullable date-time
    • createdAt string date-time
    • payload map<string, any>
  • total integer required
POST /api/v1/webhook/{id}/deliveries/{deliveryId}/resend

Resend a delivery

webhook.resend · requires x-api-key

Parameters

NameInTypeNotes
id required path string
deliveryId required path string

Example

curl -X POST "https://api.siaran.my/api/v1/webhook/ID/deliveries/DELIVERYID/resend" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

11 top-level fields
  • id string required
  • event string required
  • eventId string
  • attempt integer
  • status string required
    One of: PENDING SUCCESS FAILED
  • responseCode integer nullable
  • responseBody string nullable
  • durationMs integer nullable
  • nextAttemptAt string nullable date-time
  • createdAt string date-time
  • payload map<string, any>